%{!?pear_metadir: %global pear_metadir %{pear_phpdir}}
%{!?__pear: %{expand: %%global __pear %{_bindir}/pear}}
%global pear_name    Horde_ActiveSync
%global pear_channel pear.horde.org

Name:           php-horde-Horde-ActiveSync
Version:	2.20.1
Release:        1%{?dist}
Summary:        Horde ActiveSync Libraries

Group:          Development/Libraries
License:        GPLv2
URL:            http://pear.horde.org
Source0:        http://%{pear_channel}/get/%{pear_name}-%{version}.tgz

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch:      noarch
BuildRequires:  php-pear(PEAR) >= 1.7.0
BuildRequires:  php-channel(%{pear_channel})
BuildRequires:  php-pear(%{pear_channel}/Horde_Mapi) 

# To run unit tests
BuildRequires:  php-pear(%{pear_channel}/Horde_Test) >= 2.1.0
BuildRequires:  php-pear(%{pear_channel}/Horde_Date) >= 2.0.0
BuildRequires:  php-pear(%{pear_channel}/Horde_Stream) 
BuildRequires:  php-pear(%{pear_channel}/Horde_Mime) >= 2.0.0
BuildRequires:  php-pear(%{pear_channel}/Horde_Controller) >= 2.0.0
BuildRequires:  php-pear(%{pear_channel}/Horde_Exception) >= 2.0.0
BuildRequires:  php-pear(%{pear_channel}/Horde_Icalendar) >= 2.0.0
BuildRequires:  php-pear(%{pear_channel}/Horde_Mime) >= 2.0.0
BuildRequires:  php-pear(%{pear_channel}/Horde_Support) >= 2.0.0
BuildRequires:  php-pear(%{pear_channel}/Horde_Util) >= 2.0.0


BuildRequires:  php-channel(pear.horde.org)
Requires:       php-channel(pear.horde.org)

Requires(post): %{__pear}
Requires(postun): %{__pear}
Requires:       php(language) >= 5.3.0
BuildRequires:       gettext
#Requires:       php-spl
BuildRequires:  php-pear(PEAR) >= 1.7.0
Requires:  	php-pear(%{pear_channel}/Horde_Test) >= 2.1.0
Requires:  	php-pear(%{pear_channel}/Horde_Date) >= 2.0.0

Requires:       php-channel(%{pear_channel})
Requires:       php-pear(%{pear_channel}/Horde_Util) >= 2.0.0
Conflicts:      php-pear(%{pear_channel}/Horde_Util) >= 3.0.0
Requires:       php-pear(%{pear_channel}/Horde_Support) >= 2.0.0
Conflicts:      php-pear(%{pear_channel}/Horde_Support) >= 3.0.0
Requires:       php-pear(%{pear_channel}/Horde_Icalendar) >= 2.0.0
Conflicts:      php-pear(%{pear_channel}/Horde_Icalendar) >= 3.0.0
Requires:       php-pear(%{pear_channel}/Horde_Date) >= 2.0.0
Conflicts:      php-pear(%{pear_channel}/Horde_Date) >= 3.0.0
Requires:       php-pear(%{pear_channel}/Horde_Exception) >= 2.0.0
Conflicts:      php-pear(%{pear_channel}/Horde_Exception) >= 3.0.0

Requires:  	php-pear(%{pear_channel}/Horde_Stream) 
Requires:  	php-pear(%{pear_channel}/Horde_Mapi) 

# Optional
Requires:       php-pear(%{pear_channel}/Horde_Db) >= 2.0.0
Conflicts:      php-pear(%{pear_channel}/Horde_Db) >= 3.0.0
Requires:       php-pear(%{pear_channel}/Horde_Imap_Client) >= 2.0.0
Conflicts:      php-pear(%{pear_channel}/Horde_Imap_Client) >= 3.0.0
Requires:       php-pear(%{pear_channel}/Horde_Text_Filter) >= 2.0.0
Conflicts:      php-pear(%{pear_channel}/Horde_Text_Filter) >= 3.0.0
Requires:       php-pear(%{pear_channel}/Horde_Test) >= 2.0.0
Conflicts:      php-pear(%{pear_channel}/Horde_Test) >= 3.0.0
Requires:       php-pear(%{pear_channel}/Horde_Mail) >= 2.0.0
Conflicts:      php-pear(%{pear_channel}/Horde_Mail) >= 3.0.0
Requires:       php-pear(%{pear_channel}/Horde_Mime) >= 2.0.0
Conflicts:      php-pear(%{pear_channel}/Horde_Mime) >= 3.0.0

Provides:       php-pear(%{pear_channel}/%{pear_name}) = %{version}


%description
Libraries for implementing an ActiveSync server.

%prep
%setup -q -c
#[ -f package2.xml ] || mv package.xml package2.xml
#mv package2.xml %{pear_name}-%{version}/%{name}.xml

cd %{pear_name}-%{version}

## Don't install .po and .pot files
## Remove checksum for .mo, as we regenerate them
sed -e '/%{pear_name}.po/d' \
    -e '/Horde_Other.po/d' \
    -e '/%{pear_name}.mo/s/md5sum=.*name=/name=/' \
    ../package.xml >%{name}.xml


%build
cd %{pear_name}-%{version}

## Regenerate the locales
for po in $(find locale -name \*.po)
do
   msgfmt $po -o $(dirname $po)/$(basename $po .po).mo
done


%install
cd %{pear_name}-%{version}
%{__pear} install --nodeps --packagingroot %{buildroot} %{name}.xml

## Clean up unnecessary files
rm -rf %{buildroot}%{pear_metadir}/.??*

# Install XML package description
mkdir -p %{buildroot}%{pear_xmldir}
install -pm 644 %{name}.xml %{buildroot}%{pear_xmldir}

for loc in locale/{??,??_??}
do
    lang=$(basename $loc)
    test -d $loc && echo "%%lang(${lang%_*}) %{pear_datadir}/%{pear_name}/$loc"
done | tee ../%{pear_name}.lang


%if 0%{?fedora} > 14
%check
cd %{pear_name}-%{version}/test/$(echo %{pear_name} | sed -e s:_:/:g)
phpunit\
    -d include_path=%{buildroot}%{pear_phpdir}:.:%{pear_phpdir} \
    -d date.timezone=UTC \
    .
%endif


%post
%{__pear} install --nodeps --soft --force --register-only \
    %{pear_xmldir}/%{name}.xml >/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    %{__pear} uninstall --nodeps --ignore-errors --register-only \
        %{pear_channel}/%{pear_name} >/dev/null || :
fi


%files -f %{pear_name}.lang
%doc %{pear_docdir}/%{pear_name}
%{pear_xmldir}/%{name}.xml
%{pear_phpdir}/Horde/ActiveSync
%{pear_phpdir}/Horde/ActiveSync.php
%{pear_testdir}/%{pear_name}
%dir %{pear_datadir}/%{pear_name}
%dir %{pear_datadir}/%{pear_name}/locale
%doc %{pear_datadir}/%{pear_name}/migration


%changelog
* Sat Nov 22 2014 josef radinger <cheese@nosuchhost.net> - 2.20.1-1
- bump version

* Thu Nov 06 2014 josef radinger <cheese@nosuchhost.net> - 2.20.0-1
- bump version

* Tue Oct 21 2014 josef radinger <cheese@nosuchhost.net> - 2.19.4-1
- bump version

* Wed Oct 08 2014 josef radinger <cheese@nosuchhost.net> - 2.19.3-1
- bump version

* Thu Oct 02 2014 josef radinger <cheese@nosuchhost.net> - 2.19.2-1
- bump version

* Fri Sep 19 2014 josef radinger <cheese@nosuchhost.net> - 2.19.1-1
- bump version

* Tue Sep 09 2014 josef radinger <cheese@nosuchhost.net> - 2.19.0-1
- bump version

* Sat Sep 06 2014 josef radinger <cheese@nosuchhost.net> - 2.18.1-1
- bump version

* Sun Aug 24 2014 josef radinger <cheese@nosuchhost.net> - 2.18.0-1
- bump version

* Sun Aug 17 2014 josef radinger <cheese@nosuchhost.net> - 2.17.0-1
- bump version

* Sat Jul 12 2014 josef radinger <cheese@nosuchhost.net> - 2.16.11-1
- bump version

* Fri Jul 11 2014 josef radinger <cheese@nosuchhost.net> - 2.16.10-1
- bump version

* Tue Jul 01 2014 josef radinger <cheese@nosuchhost.net> - 2.16.9-1
- bump version

* Sun Jun 29 2014 josef radinger <cheese@nosuchhost.net> - 2.16.7-1
- bump version

* Tue Jun 24 2014 josef radinger <cheese@nosuchhost.net> - 2.16.6-1
- bump version

* Fri Jun 13 2014 josef radinger <cheese@nosuchhost.net> - 2.16.5-1
- bump version

* Sun Jun 08 2014 josef radinger <cheese@nosuchhost.net> - 2.16.4-1
- bump version

* Fri Jun 06 2014 josef radinger <cheese@nosuchhost.net> - 2.16.3-1
- add dependency on php-horde-Horde-Mapi
- bump version

* Fri May 30 2014 josef radinger <cheese@nosuchhost.net> - 2.16.2-1
- bump version

* Tue May 20 2014 josef radinger <cheese@nosuchhost.net> - 2.16.1-1
- Update to 2.16.1-1

* Thu May 15 2014 josef radinger <cheese@nosuchhost.net> - 2.15.1-1
- Update to 2.15.1-1

* Thu May 15 2014 josef radinger <cheese@nosuchhost.net> - 2.15.0-1
- Update to 2.15.0-1

* Thu Apr 17 2014 josef radinger <cheese@nosuchhost.net> - 2.14.0-1
- Update to 2.14.0-1

* Mon Apr 07 2014 josef radinger <cheese@nosuchhost.net> - 2.13.4-1
- Update to 2.13.4-1

* Sat Nov 02 2013 josef radinger <cheese@nosuchhost.net> - 2.8.5-1
- Update to 2.8.5

* Thu Oct 17 2013 josef radinger <cheese@nosuchhost.net> - 2.8.4-1
- Update to 2.8.4

* Fri Oct 04 2013 josef radinger <cheese@nosuchhost.net> - 2.8.2-1
- bump version

* Sat Sep 14 2013 josef radinger <cheese@nosuchhost.net> - 2.7.3-1
- initial package


